﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.Web.UI.GridControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        WebHierarchicalDataGrid1.DataSource = populateDataSet();
    }

    private DataSet populateDataSet()
    {

        DataSet ds = new DataSet();
        DataTable Parent = new DataTable();
        Parent.TableName = "Parent";
        DataTable Child = new DataTable();
        Child.TableName = "Child";

        Parent.Columns.Add("ID");
        Parent.Columns.Add("Name");

        DataColumn[] col = new DataColumn[1];
        col[0] = Parent.Columns["ID"];
        Parent.PrimaryKey = col;

        DataRow row = Parent.NewRow();
        row.SetField<int>("ID", 0);
        row.SetField<string>("Name", "Alice");
        Parent.Rows.Add(row);

        row = Parent.NewRow();
        row.SetField<int>("ID", 1);
        row.SetField<String>("Name", "Bob");
        Parent.Rows.Add(row);


        Child.Columns.Add("ID");
        Child.Columns.Add("Address");

        row = Child.NewRow();
        row.SetField<int>("ID", 0);
        row.SetField<string>("Address", "Paris");
        Child.Rows.Add(row);

        row = Child.NewRow();
        row.SetField<int>("ID", 1);
        row.SetField<string>("Address", "Rome");
        Child.Rows.Add(row);

        row = Child.NewRow();
        row.SetField<int>("ID", 1);
        row.SetField<string>("Address", "London");
        Child.Rows.Add(row);

        row = Child.NewRow();
        row.SetField<int>("ID", 0);
        row.SetField<string>("Address", "LosAngeles");
        Child.Rows.Add(row);

        ds.Tables.Add(Parent);
        ds.Tables.Add(Child);


        DataRelation relation = new DataRelation("IDRelation", Parent.Columns["ID"], Child.Columns["ID"]);
        ds.Relations.Add(relation);

        return ds;
    }
    protected void WebHierarchicalDataGrid1_InitializeBand(object sender, Infragistics.Web.UI.GridControls.BandEventArgs e)
    {
    
    }
    protected void WebHierarchicalDataGrid1_RowIslandsPopulating(object sender, Infragistics.Web.UI.GridControls.ContainerRowCancelEventArgs e)
    {
        e.Cancel = true;
        ContainerGrid child = new ContainerGrid();
        e.Row.RowIslands.Add(child);
        child.DataSource = populateDataSet().Tables[1];
        child.DataBind();
    }
}